searchData={"items":[{"type":"module","title":"ElasticsearchApi","doc":"Provides some shortcuts to the most common functions.","ref":"ElasticsearchApi.html"},{"type":"function","title":"ElasticsearchApi.extract_body!/1","doc":"","ref":"ElasticsearchApi.html#extract_body!/1"},{"type":"function","title":"ElasticsearchApi.extract_hits!/1","doc":"","ref":"ElasticsearchApi.html#extract_hits!/1"},{"type":"function","title":"ElasticsearchApi.search/2","doc":"","ref":"ElasticsearchApi.html#search/2"},{"type":"type","title":"ElasticsearchApi.opts/0","doc":"","ref":"ElasticsearchApi.html#t:opts/0"},{"type":"type","title":"ElasticsearchApi.query/0","doc":"","ref":"ElasticsearchApi.html#t:query/0"},{"type":"type","title":"ElasticsearchApi.response/0","doc":"","ref":"ElasticsearchApi.html#t:response/0"},{"type":"module","title":"ElasticsearchApi.Client","doc":"Provides a HTTP client for Elasticsearch. It leverages the `any_http` library in order to defer\nto the user the choice of the Elixir HTTP client.\n\n# connect_options: [transport_opts: [verify: :verify_none]]","ref":"ElasticsearchApi.Client.html"},{"type":"function","title":"ElasticsearchApi.Client.post/4","doc":"","ref":"ElasticsearchApi.Client.html#post/4"},{"type":"type","title":"ElasticsearchApi.Client.body/0","doc":"","ref":"ElasticsearchApi.Client.html#t:body/0"},{"type":"type","title":"ElasticsearchApi.Client.cluster/0","doc":"","ref":"ElasticsearchApi.Client.html#t:cluster/0"},{"type":"type","title":"ElasticsearchApi.Client.headers/0","doc":"","ref":"ElasticsearchApi.Client.html#t:headers/0"},{"type":"type","title":"ElasticsearchApi.Client.opts/0","doc":"","ref":"ElasticsearchApi.Client.html#t:opts/0"},{"type":"type","title":"ElasticsearchApi.Client.path/0","doc":"","ref":"ElasticsearchApi.Client.html#t:path/0"},{"type":"type","title":"ElasticsearchApi.Client.response/0","doc":"","ref":"ElasticsearchApi.Client.html#t:response/0"},{"type":"type","title":"ElasticsearchApi.Client.status/0","doc":"","ref":"ElasticsearchApi.Client.html#t:status/0"},{"type":"module","title":"ElasticsearchApi.Search.Core","doc":"Provides core search functionality.\n\nSource: [Elasticsearch documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-search.html).","ref":"ElasticsearchApi.Search.Core.html"},{"type":"function","title":"ElasticsearchApi.Search.Core.search/2","doc":"Returns search hits that match the query defined in the request.","ref":"ElasticsearchApi.Search.Core.html#search/2"},{"type":"module","title":"ElasticsearchApi.Utils","doc":"Provides some utilities to interact with Elasticsearch data.","ref":"ElasticsearchApi.Utils.html"},{"type":"function","title":"ElasticsearchApi.Utils.extract_body!/1","doc":"","ref":"ElasticsearchApi.Utils.html#extract_body!/1"},{"type":"function","title":"ElasticsearchApi.Utils.extract_hits!/1","doc":"","ref":"ElasticsearchApi.Utils.html#extract_hits!/1"},{"type":"function","title":"ElasticsearchApi.Utils.generate_path/2","doc":"","ref":"ElasticsearchApi.Utils.html#generate_path/2"},{"type":"function","title":"ElasticsearchApi.Utils.json_headers/0","doc":"","ref":"ElasticsearchApi.Utils.html#json_headers/0"},{"type":"type","title":"ElasticsearchApi.Utils.response/0","doc":"","ref":"ElasticsearchApi.Utils.html#t:response/0"},{"type":"exception","title":"ElasticsearchApi.Error","doc":"","ref":"ElasticsearchApi.Error.html"},{"type":"extras","title":"Elasticsearch API","doc":"# Elasticsearch API\n\nElixir library to query Elasticsearch.\n\n[Documentation](https://hexdocs.pm/elasticsearch_api)","ref":"readme.html"},{"type":"extras","title":"Installation - Elasticsearch API","doc":"```elixir\ndef deps do\n  [\n    {:elasticsearch_api, \"~> 0.1\"}\n    {:req, \"~> 0.3\"}\n    {:jason, \"~> 1.4\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Elasticsearch API","doc":"Declare your favorite HTTP library in the configuration\n\n```elixir\nconfig :any_http, client_adapter: AnyHttp.Adapters.Req\n\nconfig :any_json, json_adapter: AnyJson.Jason\n\nconfig :elasticsearch_api, clusters: %{\n  default: %{\n    endpoint: \"https://localhost:9200\",\n    headers: %{\"authorization\" => \"Basic #{Base.encode64(\"elastic:elastic\")}\"}\n  }\n}\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Usage - Elasticsearch API","doc":"```elixir\nElasticsearchApi.search(%{query: %{match_all: %{}}}, target: \"my_index\", track_total_hits: false)\n```\n\nThe result will look like:\n\n```elixir\n{:ok,\n  %{\n    status: 200,\n    headers: [{\"content-type\", \"application/json\"}],\n    body: %{\n      \"hits\" => %{\n        \"hits\" => [\n          %{\"_id\" => \"\", \"_source\" => %{}}\n        ]\n      }\n    }\n  }\n}\n```","ref":"readme.html#usage"}],"content_type":"text/markdown"}